%define rname   rake

Summary:    Simple ruby build program with capabilities similar to make
Name:       ruby-%{rname}
Version:    10.4.2
Release:    %mkrel 10
License:    MIT
Group:      Development/Ruby
URL:        http://rake.rubyforge.org/
Source0:    http://rubygems.org/downloads/%{rname}-%{version}.gem
BuildArch:  noarch
BuildRequires: rubygems
BuildRequires: ruby-json

%description
This package contains Rake, a simple ruby build program with capabilities
similar to make.


%prep
%gem_setup

%build
%gem_build

%install
%gem_install

# Install manpage
mkdir -p %{buildroot}%{_mandir}/man1/
install doc/%{rname}.1 %{buildroot}%{_mandir}/man1/rake.1

%files
%{_bindir}/rake
%{_mandir}/man1/%{rname}.1*
%{gem_instdir}/
%doc %{gem_docdir}
%doc README.rdoc MIT-LICENSE
%doc %{gem_instdir}/doc/
%{gem_spec}


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 10.4.2-10.mga6
+ Revision: 972039
- Mageia 6 Mass Rebuild

  + pterjan <pterjan>
    - Drop obsolete comment

* Sat Oct 24 2015 pterjan <pterjan> 10.4.2-9.mga6
+ Revision: 895019
- Fix build, manpage is no longer compressed
- Add missing BuildRequires
- Update to 10.4.2

* Wed Oct 15 2014 umeabot <umeabot> 10.3.1-3.mga5
+ Revision: 739256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 10.3.1-2.mga5
+ Revision: 688921
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 pterjan <pterjan> 10.3.1-1.mga5
+ Revision: 641946
- 10.3.1

* Sat Dec 28 2013 pterjan <pterjan> 10.0.4-6.mga4
+ Revision: 561687
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 10.0.4-5.mga4
+ Revision: 535227
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 10.0.4-4.mga4
+ Revision: 481735
- Drop _requires_exceptions

* Fri Sep 20 2013 pterjan <pterjan> 10.0.4-3.mga4
+ Revision: 481711
- Disable ruby-abi dependency for ruby 2 transition

* Sun Sep 15 2013 pterjan <pterjan> 10.0.4-2.mga4
+ Revision: 479022
- Fix file list
- Use gem_setup

* Sun Jun 02 2013 pterjan <pterjan> 10.0.4-1.mga4
+ Revision: 435450
- Update to 10.0.4

* Fri Feb 08 2013 umeabot <umeabot> 0.9.2.2-4.mga3
+ Revision: 396353
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.9.2.2-3.mga3
+ Revision: 381336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.9.2.2-2.mga3
+ Revision: 311933
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 0.9.2.2-1.mga3
+ Revision: 256942
- New version
- Spec cleanup

* Tue Jan 18 2011 shikamaru <shikamaru> 0.8.7-3.mga1
+ Revision: 23334
- Clean spec
- fix source link
- kill definition of buildroot
- delete useless provides (automatically added)
- use gem macros to build the package
- imported package ruby-rake


* Thu Nov 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.8.7-3mdv2011.0
+ Revision: 593325
- Install rake as a gem to allow other gems requiring it
- move gem install to %%install
- move files to %%{ruby_gemdir} (needed for spork)

* Fri Sep 17 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.7-2mdv2011.0
+ Revision: 579221
- rebuild with automatic provides/requires

* Tue Feb 02 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.8.7-1mdv2010.1
+ Revision: 499443
- new release: 0.8.7
- perform some cosmetics

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.8.3-2mdv2010.0
+ Revision: 426965
- rebuild

* Sun Feb 01 2009 Funda Wang <fwang@mandriva.org> 0.8.3-1mdv2009.1
+ Revision: 336111
- New version 0.8.3

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.8.1-2mdv2009.0
+ Revision: 225338
- rebuild

* Mon Jan 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0.8.1-1mdv2008.1
+ Revision: 151230
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.7.3-1mdv2008.0
+ Revision: 16720
- 0.7.3

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.7.1-2mdv2008.0
+ Revision: 16671
- ri is now in ri/ and not ri/ri/
- Use Development/Ruby group


* Fri Jul 28 2006 Olivier Blin <blino@mandriva.com> 0.7.1-1mdv2007.0
- 0.7.1

* Mon Feb 13 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.0-2mdk
- use gem
- use system ruby macros

* Thu Feb 09 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.0-1mdk
- 0.7.0

* Tue Sep 06 2005 Pascal Terjan <pterjan@mandriva.org> 0.6.0-1mdk
- 0.6.0
- mkrel

* Mon Jul 11 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.4-1mdk
- first release

